using GiftShopContracts.BindingModels;
using GiftShopContracts.SearchModels;
using GiftShopContracts.ViewModels;

namespace GiftShopContracts.StoragesContracts
{
	public interface IImplementerStorage
	{
		List<ImplementerViewModel> GetFullList();

		List<ImplementerViewModel> GetFilteredList(ImplementerSearchModel model);

		ImplementerViewModel? GetElement(ImplementerSearchModel model);

		ImplementerViewModel? Insert(ImplementerBindingModel model);

		ImplementerViewModel? Update(ImplementerBindingModel model);

		ImplementerViewModel? Delete(ImplementerBindingModel model);
	}
}
